export function raw(text, prefix = '', obj = null) {
    if (obj !== null) {
        console.log(`supergfxctl-gex: ${prefix} ${text}\nobj:\n${JSON.stringify(obj)}`);
    }
    else {
        console.log(`supergfxctl-gex: ${prefix} ${text}`);
    }
}

export function info(text, obj = null) {
    raw(text, '[INFO] ', obj);
}

export function error(text, e = null) {
    raw(text, '[ERROR]', e);
}

export function warn(text, obj = null) {
    raw(text, '[WARN] ', obj);
}

export function debug(text, obj = null) {
    raw(text, '[DEBUG]', obj);
}
